# network auto allocated topology

An auto allocated topology allows admins to quickly set up external connectivity for end-users. Only one auto allocated topology is allowed per project. For more information on how to set up the resources required for auto allocated topology review the documentation.

Network v2

## network auto allocated topology create

Create the auto allocated topology for project

    openstack network auto allocated topology create
        [--project <project>]
        [--project-domain <project-domain>]
        [--check-resources]
        [--or-show]

--project <project>

  Return the auto allocated topology for a given project. Default is current project.

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--check-resources

  Validate the requirements for auto allocated topology. Does not return a topology.

--or-show

  If topology exists returns the topology’s information (default)

## network auto allocated topology delete

Delete auto allocated topology for project

    openstack network auto allocated topology delete
        [--project <project>]
        [--project-domain <project-domain>]

--project <project>

  Delete auto allocated topology for a given project. Default is the current project.

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.